{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";

  outputs = { self, nixpkgs }: {
    nixosConfigurations = rec {
      heizung = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./configuration.nix

          {
            # use same nixpkgs for commands that use global settings
            nix.registry.nixpkgs.flake = nixpkgs;
            environment.etc.current-nixpkgs.source = nixpkgs;
            nix.nixPath = [
              "nixpkgs=/etc/current-nixpkgs"
              # keep the other default values
              "nixos-config=/etc/nixos/configuration.nix"
              "/nix/var/nix/profiles/per-user/root/channels"
            ];
          }
        ];
      };

      default = heizung;
    };
  };
}
